Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming
Class NamingContext.BindingEnumeration

    java.lang.Object
      org.mortbay.naming.NamingContext.BindingEnumeration

All Implemented Interfaces:
  Enumeration, NamingEnumeration

Enclosing class:
  NamingContext

    public class NamingContext.BindingEnumeration

extends Object
implements NamingEnumeration

BindingEnumeration

Implementation of NamingEnumeration

#### Notes

Used to return results of Context.listBindings();

#### Usage

###

###

###

###

###

###

    Constructor Summary

    NamingContext.BindingEnumeration(Enumeration e)

    Method Summary

     void
    close()

     boolean
    hasMore()

     boolean
    hasMoreElements()

     Object
    next()

     Object
    nextElement()

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    NamingContext.BindingEnumeration

    public NamingContext.BindingEnumeration(Enumeration e)

    Method Detail

    close

    public void close()
               throws NamingException

    Specified by:close in interface NamingEnumeration

    Throws:
    NamingException

    hasMore

    public boolean hasMore()
                    throws NamingException

    Specified by:hasMore in interface NamingEnumeration

    Throws:
    NamingException

    next

    public Object next()
                throws NamingException

    Specified by:next in interface NamingEnumeration

    Throws:
    NamingException

    hasMoreElements

    public boolean hasMoreElements()

    Specified by:hasMoreElements in interface Enumeration

    nextElement

    public Object nextElement()

    Specified by:nextElement in interface Enumeration

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 2007 Mort Bay Consulting. All Rights Reserved.